<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref20.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::Parser::kCastDeclarator - Synopsis::Parser::type_id&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::Parser::kCastDeclarator - Synopsis::Parser::type_id&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</h1><div class="xref-name"><a id="Synopsis_mParser_mkCastDeclarator" /><h2 >Enumerator Synopsis::Parser::kCastDeclarator</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#kCastDeclarator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#57">Synopsis/Parser.hh:57</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mkDeclarator" /><h2 >Enumerator Synopsis::Parser::kDeclarator</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#kDeclarator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#57">Synopsis/Parser.hh:57</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mlinkage_body_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::linkage_body&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#102">Synopsis/Parser.hh:102</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mlinkage_spec_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::linkage_spec&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#97">Synopsis/Parser.hh:97</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mlogical_and_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::logical_and_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#256">Synopsis/Parser.hh:256</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mlogical_or_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::logical_or_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#250">Synopsis/Parser.hh:250</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmark_error_l_r" /><h2 >Member function Synopsis::Parser::mark_error&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#mark_error_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#85">Synopsis/Parser.hh:85</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmaybe_typename_or_class_template_lToken_A_r" /><h2 >Member function Synopsis::Parser::maybe_typename_or_class_template&#40;Token&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#maybe_typename_or_class_template_lToken_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#444">Synopsis/Parser.hh:444</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmember_init_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::member_init&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#180">Synopsis/Parser.hh:180</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmember_initializers_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::member_initializers&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#179">Synopsis/Parser.hh:179</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmeta_arguments_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::meta_arguments&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#96">Synopsis/Parser.hh:96</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmetaclass_decl_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::metaclass_decl&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#95">Synopsis/Parser.hh:95</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmore_var_name_l_r" /><h2 >Member function Synopsis::Parser::more_var_name&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#more_var_name_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#448">Synopsis/Parser.hh:448</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmultiplicative_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::multiplicative_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#312">Synopsis/Parser.hh:312</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmy_comments" /><h2 >Data member Synopsis::Parser::my_comments</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#my_comments" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#459">Synopsis/Parser.hh:459</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmy_errors" /><h2 >Data member Synopsis::Parser::my_errors</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#my_errors" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#458">Synopsis/Parser.hh:458</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#48">Synopsis/Parser.hh:48</a>: in member function <a href="../Scopes/Synopsis/Parser.html#errors_l_rconst" >Synopsis::Parser::errors&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmy_gt_is_operator" /><h2 >Data member Synopsis::Parser::my_gt_is_operator</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#my_gt_is_operator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#462">Synopsis/Parser.hh:462</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmy_in_template_decl" /><h2 >Data member Synopsis::Parser::my_in_template_decl</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#my_in_template_decl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#463">Synopsis/Parser.hh:463</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmy_lexer" /><h2 >Data member Synopsis::Parser::my_lexer</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#my_lexer" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#450">Synopsis/Parser.hh:450</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmy_ruleset" /><h2 >Data member Synopsis::Parser::my_ruleset</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#my_ruleset" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#451">Synopsis/Parser.hh:451</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmy_scope_is_valid" /><h2 >Data member Synopsis::Parser::my_scope_is_valid</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#my_scope_is_valid" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#457">Synopsis/Parser.hh:457</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mmy_symbols" /><h2 >Data member Synopsis::Parser::my_symbols</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#my_symbols" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#452">Synopsis/Parser.hh:452</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mname_lPTree_mNode_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::name&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#182">Synopsis/Parser.hh:182</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mnamespace_alias_lPTree_mNamespaceAlias_S_A_r" /><h2 >Synopsis::Parser::namespace_alias&#40;PTree::NamespaceAlias*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#99">Synopsis/Parser.hh:99</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mnamespace_spec_lPTree_mNamespaceSpec_S_A_r" /><h2 >Synopsis::Parser::namespace_spec&#40;PTree::NamespaceSpec*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#98">Synopsis/Parser.hh:98</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mnew_declarator_lPTree_mDeclarator_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::new_declarator&#40;PTree::Declarator*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#376">Synopsis/Parser.hh:376</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mnull_declaration_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::null_declaration&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#91">Synopsis/Parser.hh:91</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mnum_tdks" /><h2 >Enumerator Synopsis::Parser::num_tdks</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#num_tdks" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#59">Synopsis/Parser.hh:59</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_moffsetof_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::offsetof_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#365">Synopsis/Parser.hh:365</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_moperator_name_lPTree_mNode_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::operator_name&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#183">Synopsis/Parser.hh:183</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mopt_cv_qualifier_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::opt_cv_qualifier&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#164">Synopsis/Parser.hh:164</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mopt_integral_type_or_class_spec_lPTree_mNode_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::opt_integral_type_or_class_spec&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#165">Synopsis/Parser.hh:165</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mopt_member_spec_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::opt_member_spec&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#147">Synopsis/Parser.hh:147</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mopt_ptr_operator_lPTree_mNode_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::opt_ptr_operator&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#178">Synopsis/Parser.hh:178</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mopt_storage_spec_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::opt_storage_spec&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#157">Synopsis/Parser.hh:157</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mopt_throw_decl_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::opt_throw_decl&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#167">Synopsis/Parser.hh:167</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_morigin_lconst.char_S_cstd_mstring_A_rconst" /><h2 >Synopsis::Parser::origin&#40;const char*&#44;std::string&amp;&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#52">Synopsis/Parser.hh:52</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mother_decl_statement_lPTree_mDeclaration_S_A_cPTree_mEncoding_A_cPTree_mNode_S_cPTree_mNode_S_r" /><h2 >Synopsis::Parser::other_decl_statement&#40;PTree::Declaration*&amp;&#44;PTree::Encoding&amp;&#44;PTree::Node*&#44;PTree::Node*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#442">Synopsis/Parser.hh:442</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mother_declaration_lPTree_mDeclaration_S_A_cPTree_mEncoding_A_cPTree_mNode_S_cPTree_mNode_S_cPTree_mNode_S_r" /><h2 >Synopsis::Parser::other_declaration&#40;PTree::Declaration*&amp;&#44;PTree::Encoding&amp;&#44;PTree::Node*&#44;PTree::Node*&#44;PTree::Node*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#137">Synopsis/Parser.hh:137</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mparameter_declaration_lPTree_mParameterDeclaration_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::parameter_declaration&#40;PTree::ParameterDeclaration*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#198">Synopsis/Parser.hh:198</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mparameter_declaration_list_lPTree_mNode_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::parameter_declaration_list&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#190">Synopsis/Parser.hh:190</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mparameter_declaration_list_or_init_lPTree_mNode_S_A_cbool_A_cPTree_mEncoding_A_cbool_r" /><h2 >Synopsis::Parser::parameter_declaration_list_or_init&#40;PTree::Node*&amp;&#44;bool&amp;&#44;PTree::Encoding&amp;&#44;bool&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#188">Synopsis/Parser.hh:188</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mparse_l_r" /><h2 >Member function Synopsis::Parser::parse&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#parse_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#54">Synopsis/Parser.hh:54</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mpm_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::pm_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#319">Synopsis/Parser.hh:319</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mpostfix_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::postfix_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#378">Synopsis/Parser.hh:378</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mprimary_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::primary_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#379">Synopsis/Parser.hh:379</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mptr_to_member_lPTree_mNode_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::ptr_to_member&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#185">Synopsis/Parser.hh:185</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mrelational_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::relational_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#290">Synopsis/Parser.hh:290</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mshift_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::shift_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#297">Synopsis/Parser.hh:297</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mshow_message_head_lconst.char_S_r" /><h2 >Member function Synopsis::Parser::show_message_head&#40;const char*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#show_message_head_lconst.char_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#88">Synopsis/Parser.hh:88</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_msizeof_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::sizeof_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#363">Synopsis/Parser.hh:363</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mskip_to_lToken_mType_r" /><h2 >Synopsis::Parser::skip_to&#40;Token::Type&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#445">Synopsis/Parser.hh:445</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mstatement_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::statement&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#395">Synopsis/Parser.hh:395</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mswitch_statement_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::switch_statement&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#406">Synopsis/Parser.hh:406</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtdk_decl" /><h2 >Enumerator Synopsis::Parser::tdk_decl</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#tdk_decl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#58">Synopsis/Parser.hh:58</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtdk_instantiation" /><h2 >Enumerator Synopsis::Parser::tdk_instantiation</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#tdk_instantiation" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#58">Synopsis/Parser.hh:58</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtdk_specialization" /><h2 >Enumerator Synopsis::Parser::tdk_specialization</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#tdk_specialization" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#59">Synopsis/Parser.hh:59</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtdk_unknown" /><h2 >Enumerator Synopsis::Parser::tdk_unknown</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#tdk_unknown" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#58">Synopsis/Parser.hh:58</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtemplate_args_lPTree_mNode_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::template_args&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#186">Synopsis/Parser.hh:186</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtemplate_decl_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::template_decl&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#103">Synopsis/Parser.hh:103</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtemplate_decl2_lPTree_mTemplateDecl_S_A_cTemplateDeclKind_A_r" /><h2 >Synopsis::Parser::template_decl2&#40;PTree::TemplateDecl*&amp;&#44;TemplateDeclKind&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#104">Synopsis/Parser.hh:104</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtemplate_parameter_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::template_parameter&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#116">Synopsis/Parser.hh:116</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtemplate_parameter_list_lPTree_mList_S_A_r" /><h2 >Synopsis::Parser::template_parameter_list&#40;PTree::List*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#110">Synopsis/Parser.hh:110</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mthrow_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::throw_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#357">Synopsis/Parser.hh:357</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtry_block_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::try_block&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#437">Synopsis/Parser.hh:437</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtype_id_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::type_id&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#330">Synopsis/Parser.hh:330</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtype_id_lPTree_mNode_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::type_id&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#331">Synopsis/Parser.hh:331</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
